Skip to:
Content
Pages
Categories
Search
Top
Bottom

Upgrade from BP 1.1.3 to BP 1.2.1

  • Avatar of paulhastings0
    paulhastings0
    Participant

    @paulhastings0

    I’m running WPMU 2.9.1 and BP 1.1.3. I’m about to update my website to BP 1.2.1 tonight but I can’t find the guide on how to do that. The first-time installation guide here makes no mention of what to do for existing installations.

    I’ve looked around online and I thought that I saw it somewhere but now I can’t seem to find it and it’s not listed on the front page blog post. I saw the post for upgrading from 1.2 to 1.2.1 but is that the same for 1.1.3 to 1.2.1?

    Could I possibly…

    1. Deactivate all plugins

    2. Deactivate the BP 1.1.3 plugin

    3. Use FTP to completely delete the BP 1.1.3 plugin from my plugins folder

    4. Then use the “Add New” plugin option from the WPMU dashboard to install BP 1.2.1

    5. Activate BP 1.2.1

    6. Finally, activate all other plugins

    Would that work? Or do I need to use the Backwards Compatibility Plugin if I had been using the default BP 1.1.3 theme up to this point? What if I’m ok with now using the BP 1.2.1 theme? Do I still need to use the Backwards Compatibility Plugin? The plugin page doesn’t specifically come out and say that… or am I just missing it?

    Thanks,

    Paul

Viewing 3 replies - 1 through 3 (of 3 total)
  • Avatar of Andy Peatling
    Andy Peatling
    Keymaster

    @apeatling

    You should just follow the 1.1 to 1.2 upgrade instructions on the codex. If you use the new default theme then you won’t need the backwards compatibility plugin unless you are using plugins that have not been updated for 1.2.

    Avatar of Peterverkooijen
    peterverkooijen
    Participant

    @peterverkooijen

    Is there a list of function name changes between 1.1.3 and 1.2.1?

    I assume the backwards compatibility plugin takes care of that, but at some point I should update my messy custom theme.

    Avatar of paulhastings0
    paulhastings0
    Participant

    @paulhastings0

    @Andy Peatling: I assume you’re talking about the codex page here. Now what if I’ve made some custom hacks to the core installation of BP 1.1.3 but now I want to install BP 1.2.1 fresh?

    Will following the update instructions on the codex page truly give me a “pure” install of BP 1.2 (i.e. erasing all my custom BP 1.1.3 hacks)? Or is the real solution in deleting the BP 1.1.3 plugin from the plugins folder and installing BP 1.2.1 through the “Install New” option?

    -Paul

Viewing 3 replies - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.